Skip to content

Asynchronous Notification for Payment

  • Endpoint: POST /delSuffixStart8
  • Tags: Collection Service

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesMerchant ID assigned by PayerMax.
tradeOrderNostringYesTrade order number defined by PayerMax.
orderIdstringYesOriginal merchant order id.
statusnumberYes1 - Success; 2 - Failure.
countryCodestringNoCountry code,This parameter will be returned only when the merchant passes in the countrycode in the order interface,refer to 【Country & Region Codes
totalAmountstringYesTransaction amount transferred from merchant.
currencystringYesThe transaction currency introduced by the merchant. In the US dollar receipt scenario, the currency is US dollars.
payAmountstringYesPayment amount actually paid by the user.
payCurrencystringYesCurrency actually paid by the user.
exchangeRatestringNoExchange rate used to convert transaction amount to payment amount. Returned when the transaction currency and payment currency are not the same.
errorCodestringYesError code for payment failure. Empty string if payment success.
errorMsgstringYesError message for payment failure. Empty string if payment success.
referencestringNoThe parameters passed in by the merchant are exactly the same as the reference in the request parameters.
cardInfobjectNoCard Info.
cardInf.cardOrgstringNoCard Scheme, will return when the user chooses card scheme to pay
cardInf.cardIdentifierNostringNoCard number, the ciphertext is returned when paymentMethodType is CARD. Remarks: If you need to return this field, you can feedback payermax technical support to upgrade the callback version
cardInf.cardIdentifierNamestringNoCard name, returned as a mask when paymentMethodType is CARD. Remarks: If you need to return this field, you can feedback payermax technical support to upgrade the callback version
paymentMethodTypestringNomaxLength: 16Payment method
targetOrgstringNomaxLength: 16Target organization
channelNostringNomaxLength: 64Channel Order No.
thirdChannelNostringNomaxLength: 64third channel No
paymentCodestringNomaxLength: 64VA No
orderTypestringYesOrder type, the default is PAYMENT, when repeated payment is DUPLICATE_PAYMENT
originalOrderIdstringNoWhen orderType is DUPLICATE_PAYMENT, this value is the original merchant order number associated with the repeated payment, otherwise it is empty.
originalTradeOrderNostringNoWhen orderType is DUPLICATE_PAYMENT, this value is the original trade order number defined by PayerMax associated with the repeated payment, otherwise it is empty.

Example

json
{
  "orderId": "21230412340979178110000805",
  "tradeOrderNo": "TOKEN202304111948856115",
  "errorCode": "",
  "errorMsg": "",
  "paymentType": "A34",
  "reference": "GM666814221071401199#20230412340979178100000805",
  "totalAmount": "33.50",
  "payAmount": "33.50",
  "merchantId": "SP35661109",
  "exchangeRate": "1",
  "countryCode": "ID",
  "payCurrency": "IDR",
  "currency": "IDR",
  "channelNo": "DMCP000000000177005",
  "thirdChannelNo": "4ikqJ6ktEqyRawE1dvqb9c",
  "paymentCode": "2312121212",
  "status": 1,
  "paymentMethodType": "CARD",
  "cardInfo": {
    "cardOrg": "MASTERCARD",
    "cardIdentifierNo": "520000******0007",
    "cardIdentifierName": "*D"
  },
  "targetOrg": "",
  "orderType": "PAYMENT",
  "originalOrderId": "",
  "originalTradeOrderNo": ""
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 6Interface response code.The value ‘0000’ only represents the receipt of the notification and does not represent the order status.
messagestringNomaxLength: 32Interface response message.

Response Example

json
{
  "bizCode": "0000",
  "message": "success"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.